This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 879600

Summary: [abrt] systemd-ui-1-3.fc18: job_unit_link_destroy: Process /usr/bin/systemadm was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: Eelco Wesemann <eelco>
Component: systemd-uiAssignee: Lennart Poettering <lpoetter>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: arithmos, kay, lpoetter, mschmidt
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:968cd55ffcd090fdf0ed716917691bd74c04d12d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-16 09:25:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: backtrace
none
File: limits
none
File: cgroup
none
File: executable
none
File: maps
none
File: dso_list
none
File: proc_pid_status
none
File: open_fds
none
File: var_log_messages none

Description Eelco Wesemann 2012-11-23 07:21:25 EST
Description of problem:
Started /usr/bin/systemadm directly as root user. 
Attempted to stop cryptsetup.target which crashed systemadm

cryptsetup.target did appear as being inactive in subsequent runs of systemadm.
Stopping any other target/service is a pretty surefire way to trigger the same double free


Version-Release number of selected component:
systemd-ui-1-3.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/systemadm
crash_function: job_unit_link_destroy
kernel:         3.6.7-5.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 job_unit_link_destroy at /home/kay/data/src/systemd-ui/src/systemd-interfaces.vala:151
: #7 main_window_update_job_iter at /home/kay/data/src/systemd-ui/src/systemadm.vala:760
: #8 main_window_on_job_new at /home/kay/data/src/systemd-ui/src/systemadm.vala:788
: #12 g_signal_emit_by_name at gsignal.c:3393
: #13 _dbus_handle_manager_job_new at systemd-interfaces.c:1506
: #14 manager_proxy_g_signal at systemd-interfaces.c:1541
: #15 ffi_call_unix64 at ../src/x86/unix64.S:75
: #16 ffi_call at ../src/x86/ffi64.c:486
: #17 g_cclosure_marshal_generic at gclosure.c:1454
: #22 on_signal_received at gdbusproxy.c:927
Comment 1 Eelco Wesemann 2012-11-23 07:21:28 EST
Created attachment 650360 [details]
File: core_backtrace
Comment 2 Eelco Wesemann 2012-11-23 07:21:29 EST
Created attachment 650361 [details]
File: environ
Comment 3 Eelco Wesemann 2012-11-23 07:21:32 EST
Created attachment 650362 [details]
File: backtrace
Comment 4 Eelco Wesemann 2012-11-23 07:21:34 EST
Created attachment 650363 [details]
File: limits
Comment 5 Eelco Wesemann 2012-11-23 07:21:35 EST
Created attachment 650364 [details]
File: cgroup
Comment 6 Eelco Wesemann 2012-11-23 07:21:38 EST
Created attachment 650365 [details]
File: executable
Comment 7 Eelco Wesemann 2012-11-23 07:21:40 EST
Created attachment 650366 [details]
File: maps
Comment 8 Eelco Wesemann 2012-11-23 07:21:42 EST
Created attachment 650367 [details]
File: dso_list
Comment 9 Eelco Wesemann 2012-11-23 07:21:45 EST
Created attachment 650368 [details]
File: proc_pid_status
Comment 10 Eelco Wesemann 2012-11-23 07:21:47 EST
Created attachment 650369 [details]
File: open_fds
Comment 11 Eelco Wesemann 2012-11-23 07:21:49 EST
Created attachment 650370 [details]
File: var_log_messages
Comment 12 Michal Schmidt 2013-01-16 09:25:25 EST

*** This bug has been marked as a duplicate of bug 744439 ***